Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mail
Class MailManager

    java.lang.Object
      com.bea.p13n.mail.MailManager

    public class MailManager

extends Object

Command-line interface to manager mail batches, through the MailService session bean.

Command line arguments include:

- -action <action>: Can be "list", "send", or "delete"; defaults to "list". Without any other args, an action of "list" will list all batches; combined with a batch name, it will list the messages in that batch. An action of "send" will send all the messages in the batch; if the "delete" flag is also present, it will delete the batch after sending. An action of "delete" will delete the batch and all messages in the batch.
- -batch <name>: The name of the batch to list, send, or delete, depending on the provided action.
- -delete: A flag to delete the batch after sending
- -providerURL <url>: The URL to use for JNDI lookups; defaults to the local system
- -contextFactory <class>: JNDI Context Factory class; defaults to `weblogic.jndi.WLInitialContextFactory`.
- -jndiName <name>: the JNDI name of the MailService to use
- -appName <name>: the name of application on the server to work in. This will be used if -jndiName is not specified. One of either jndiName of appName is required.
- -username <name>: username to connect as. Optional, defaults to "guest".
- -password <password>: password to use, if a username is provided.

Field Summary
`protected static String` | `DEFAULT_INITIAL_CONTEXT_FACTORY`
`protected static String` | `DEFAULT_PROVIDER_URL`
`static String` | `DELETE_ACTION`
`static String` | `LIST_ACTION`
`protected static String` | `MAIL_SERVICE_BASE`
`static String` | `SEND_ACTION`

Constructor Summary
`MailManager()`

Method Summary
`static void` | `main(String[] args)` Execute this program

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PROVIDER_URL

    protected static final String DEFAULT_PROVIDER_URL

See Also
  Constants Summary

### DEFAULT_INITIAL_CONTEXT_FACTORY

    protected static final String DEFAULT_INITIAL_CONTEXT_FACTORY

See Also
  Constants Summary

### MAIL_SERVICE_BASE

    protected static final String MAIL_SERVICE_BASE

See Also
  Constants Summary

### LIST_ACTION

    public static final String LIST_ACTION

See Also
  Constants Summary

### SEND_ACTION

    public static final String SEND_ACTION

See Also
  Constants Summary

### DELETE_ACTION

    public static final String DELETE_ACTION

See Also
  Constants Summary

Constructor Detail

### MailManager

    public MailManager()

Method Detail

### main

    public static void main(String[] args)

  Execute this program

  See the class notes for details about the command-line arguments.

  Parameters
    `args` - the command-line arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.